var _ = require("./index")

function test(){
    var TData =
    {
        "setName1": { 
            "name": "robin", "age": 18, 
            "obj": { "o": "o1", "b": "b1" }, 
            "arr": [{ "k": "k1", "j": "j1" }, { "k": "k2", "j": "j2" }],
            "arr2":[
                     [ { "k": "k1", "j": "j1" }, { "k": "k2", "j": "j2" }],
                     [{ "k": {"a":"a1"}, "j": "j1" }, { "k": "k2", "j": "j2" }]
                   ]
         },
        "setName2": [
            { "name": "robin1", "age": 18, "type": 1, "obj": { "o": "o1" }, "arr": [{ "k": { "a": "a1" }, "j": "j1" }, { "k": "k2", "j": "j2" }] },
            { "name": "robin2", "age": 19, "type": 1, "obj": { "o": "o2" }, "arr": [{ "k": "k1", "j": "j1" }, { "k": "k2", "j": "j2" }] },
            { "name": "robin3", "age": 20, "type": 1, "obj": { "o": "o3" }, "arr": [{ "k": "k1", "j": "j1" }, { "k": "k2", "j": "j2" }] }
        ]
    }

console.log("setName1.obj=>", _.extractFromJson(TData, "setName1.obj"));
console.log("setName1.obj=>", _.extractFromJson(TData, "setName1.obj",'nn'));
console.log("setName1.obj.o=>", _.extractFromJson(TData, "setName1.obj.o"));
console.log("setName1.arr=>", _.extractFromJson(TData, "setName1.arr"));


console.log("setName1.arr.k=>", _.extractFromJson(TData, "setName1.arr.k"));
console.log("setName1.arr.k=>", _.extractFromJson(TData, "setName1.arr.k",'nn'));

console.log("setName1.arr2=>", _.extractFromJson(TData, "setName1.arr2"));
console.log("setName1.arr2.k=>", _.extractFromJson(TData, "setName1.arr2.k"));
console.log("setName1.arr2.k=>", JSON.stringify(_.extractFromJson(TData, "setName1.arr2.k",'nn')));
console.log("setName1.arr2.k.a=>", _.extractFromJson(TData, "setName1.arr2.k.a"));
console.log("setName1.arr2.[k,j]=>", _.extractFromJson(TData, "setName1.arr2.[k,j]","nn"));


console.log("setName2.obj=>", _.extractFromJson(TData, "setName2.obj"));
console.log("setName2.obj.o=>", _.extractFromJson(TData, "setName2.obj.o"));
console.log("setName2.arr=>", _.extractFromJson(TData, "setName2.arr"));
console.log("setName2.arr.k=>", _.extractFromJson(TData, "setName2.arr.k"));
console.log("setName2.arr.k.a=>", _.extractFromJson(TData, "setName2.arr.k.a"));
console.log("setName2.name  =>", _.extractFromJson(TData, "setName2.name"));
console.log("[setName2.name,option='nn']  =>", _.extractFromJson(TData, "setName2.name","nn,"));
console.log("setName2.[name,age]  =>", _.extractFromJson(TData, "setName2.[name,age]"));
console.log("setName2.[name,arr]=>", _.extractFromJson(TData, "setName2.[name,arr]"));
}

test();